com.trendmicro.ds.network.rest.api

## Interface IEventAPI

-     @Path(value="/events")
      public interface IEventAPI

  Interface for event retrieval

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `getPayloadLogsInMCP(java.lang.Long eventId, java.lang.String eventIdOp, java.lang.Integer maxItems, java.lang.Integer header, java.lang.String sessionId)` Get Payload Logs

- - ### Method Detail

    - #### getPayloadLogsInMCP

          @GET
           @Path(value="/payloadloginmcp")
           @Produces(value="application/octet-stream")
          javax.ws.rs.core.Response getPayloadLogsInMCP(@QueryParam(value="eventId")
                                                                                                                                           java.lang.Long eventId,
                                                                                                                                           @QueryParam(value="eventIdOp")
                                                                                                                                           java.lang.String eventIdOp,
                                                                                                                                           @QueryParam(value="maxItems")
                                                                                                                                           java.lang.Integer maxItems,
                                                                                                                                           @QueryParam(value="header")
                                                                                                                                           java.lang.Integer header,
                                                                                                                                           @QueryParam(value="sID")
                                                                                                                                           java.lang.String sessionId)
                                                                                                                                    throws java.lang.Exception

      Get Payload Logs
      Parameters:
        `eventId` - the event id to query for events. Combined with eventIdOp, the returning events can be filtered according to the id.
        `eventIdOp` - defined the events to return. Currently supported operations include gt(greater than), ge(greater than or equal to), eq(eqaul to), lt(less than), and le(less than or equal to).
        `maxItems` - the maximum events to return
        `sessionId` - a session ID returned by the Authentication API.
      Returns:
        a binary stream in which logs meeting the given criteria is encoded into MCP format.
      Throws:
        `java.lang.Exception`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.